/* 
PAI Version 4.02

PAI is a Question Answering System that gains information from a conversation
conducted in a restricted form of the English language.

Copyright (C) 2002 Claudio Scordino (claudio.scordino@quipo.it)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifdef win

#define exefile "exe.bat" //File used to execute a command

void exec (words ex)
{
	fstream ff;
	ff.open(exefile,ios::out);
	ex.save(ff,0);
	ff <<"\n";
	ff.close();

	char temp[30];
	strcpy(temp,exefile);
	system(temp);
}

#endif

#if !defined (win)

#define exefile "/usr/local/Pai/exe" //File used to execute a command

void exec (words ex)
{
	fstream ff;
	ff.open(exefile,ios::out);
	ex.save(ff,0);
	ff <<"\n";
	ff.close();

	char temp[30];
	strcpy(temp,"chmod 777 ");
	strcat(temp,exefile);
	system(temp);

	strcpy(temp,"/");
	strcat(temp,exefile);
	system(temp);
}

#endif

