/*
PAI Version 4.02

PAI is a Question Answering System that gains information from a conversation
conducted in a restricted form of the English language.

Copyright (C) 2002 Claudio Scordino (claudio.scordino@quipo.it)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/



class memory
{
	struct sentence
	{
		words object;
	
		words verb;
		int type; //Type: 1 have 2 be 
		int time; //Time :1 past or past participle 2 present 3 future 4 gerund

		words attrib;

		sentence* next;
	};


	sentence* head;

	int compare (words w1, words w2, words difference);

public:
	memory() {head=NULL;}
	~memory();
	void save(ostream& out);
	void write ();
	int del (words ob, words vb, words att); //To delete one or more sentences
	void insert (words ob, words vb, words att, int ty, int ti ); //To insert a sentence
	void load(istream& in);
	int interrogation (words ob,words vb, words ab);
	int check(words ob, words vb, words att);
};
