/*
PAI Version 4.02

PAI is a Question Answering System that gains information from a conversation
conducted in a restricted form of the English language.

Copyright (C) 2002 Claudio Scordino (claudio.scordino@quipo.it)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#define luninfo4trash 200

#ifdef win
#define filename "trans.ia"        //File used during the reading
#endif

#if !defined (win)
#define filename "/usr/local/Pai/trans.ia"  //File used during the reading
#endif


int reading ()
{
	char string[luninfo4trash];
        words buffer;
	
	fstream ii,oo;
	char ch;
	char vuoto='\n';
	ii.open (inputfilename,ios::in);
	if (!ii) return 0;
	oo.open (filename,ios::out);
	while (ii.get(ch))
	{
		if (ch=='.') {oo.put(vuoto);oo.put(ch);oo.put(vuoto);}
		else if (ch==';') {oo.put(vuoto);oo.put(ch);oo.put(vuoto);}
		else oo.put(ch);
	}
	ch='.';
	oo.put(vuoto);
	oo.put(ch);
	ii.close();
	oo.put(vuoto);
	oo.put('-');
	oo.put('e');
	oo.put('n');
	oo.put('d');
	oo.put('-');
	oo.put('\n');
	oo.close();
	fstream ff;
	ff.open(filename,ios::in);

	

	words empty;
	words o,v,a;
	buffer=empty;
	int ty,ti;
	while (1)
	{
		//cout << "%" << endl;
		ff >> string;
		if ((strlen (string)) >= luninfo ) continue ; // if the length of the string is >= luninfo, 
		                                              // then the string will be trashed 

		if ( (!strcmp(string,".")) || (!strcmp(string,",")) ) 
		{ 
			buffer.reading_mirror();
			int ret=buffer.split4affermation(ty,ti,o,v,a);
			if (ret==1) mem.insert(o,v,a,ty,ti);

			buffer=empty;
			o=empty;
			v=empty;
			a=empty;	
		}
		else if (!strcmp(string,"-end-")) {/*cout << "END" << endl;*/ ff.close();return 1;}
		else if ( (!strcmp(string,"this") || !strcmp(string,"that")) && !(o==empty)) buffer.join(o);
		else if ((!strcmp(string,"he") || !strcmp(string,"she") || !strcmp(string,"it")) && !(o==empty)) buffer.join(o);
		else if ((!strcmp(string,"his") || !strcmp(string,"her") || !strcmp(string,"its")) && !(o==empty)) {buffer.join(o);buffer+="\'s";}
		else buffer+=string;
	}
}
